package com.qmth.themis.business.bean.admin;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 腾讯云回调事件info bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/4/28
 */
public class TencentEventInfoBean implements Serializable {

    @ApiModelProperty(name = "数字房间号")
    private String RoomId;

    @ApiModelProperty(name = "事件发生时间，单位秒")
    private Long EventTs;

    @ApiModelProperty(name = "事件发生时间，单位豪秒")
    private Long EventMsTs;

    @ApiModelProperty(name = "用户ID")
    private String UserId;

    @ApiModelProperty(name = "唯一标识符")
    private String UniqueId;

    @ApiModelProperty(name = "用户角色")
    private String Role;

    @ApiModelProperty(name = "终端类型")
    private String TerminalType;

    @ApiModelProperty(name = "用户类型")
    private String UserType;

    @ApiModelProperty(name = "进房原因")
    private String Reason;

    public Long getEventMsTs() {
        return EventMsTs;
    }

    public void setEventMsTs(Long eventMsTs) {
        EventMsTs = eventMsTs;
    }

    public String getRoomId() {
        return RoomId;
    }

    public void setRoomId(String roomId) {
        RoomId = roomId;
    }

    public Long getEventTs() {
        return EventTs;
    }

    public void setEventTs(Long eventTs) {
        EventTs = eventTs;
    }

    public String getUserId() {
        return UserId;
    }

    public void setUserId(String userId) {
        UserId = userId;
    }

    public String getUniqueId() {
        return UniqueId;
    }

    public void setUniqueId(String uniqueId) {
        UniqueId = uniqueId;
    }

    public String getRole() {
        return Role;
    }

    public void setRole(String role) {
        Role = role;
    }

    public String getTerminalType() {
        return TerminalType;
    }

    public void setTerminalType(String terminalType) {
        TerminalType = terminalType;
    }

    public String getUserType() {
        return UserType;
    }

    public void setUserType(String userType) {
        UserType = userType;
    }

    public String getReason() {
        return Reason;
    }

    public void setReason(String reason) {
        Reason = reason;
    }
}
